from setuptools import find_packages, setup

setup(
    name="local-operator",
    packages=find_packages(),
    py_modules=["local_operator.cli"],
    entry_points={
        "console_scripts": [
            "local-operator = local_operator.cli:main",
        ],
    },
    install_requires=[
        "langchain-openai>=0.3.11",
        "langchain-ollama>=0.3.0",
        "langchain-anthropic>=0.3.3",
        "langchain-google-genai>=2.1.2",
        "langchain>=0.3.21",
        "langchain-community>=0.3.14",
        "python-dotenv>=1.0.1",
        "pydantic>=2.10.6",
        "tiktoken>=0.8.0",
        "uvicorn>=0.22.0",
        "fastapi>=0.115.8",
        "playwright>=1.49.1",
        "requests>=2.32.3",
        "psutil>=7.0.0",
        "dill>=0.3.9",
        "pyreadline3>=3.5.4",
        "jsonlines>=4.0.0",
        "python-multipart==0.0.20",
        "websockets>=15.0.1",
        "browser-use>=0.1.45",
        "apscheduler>=3.11.0",
        "faiss-cpu==1.10.0",
    ],
    python_requires=">=3.12",
    extras_require={
        "dev": [
            "black",
            "isort",
            "pylint",
            "pyright",
            "pytest",
            "pytest-asyncio",
            "pip-audit",
        ],
    },
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
)
